<template>
  <q-page class="column flex-center">
    <div class="row">
      <q-card class="q-ma-sm">
        <div class="q-pa-md" style="width: 350px">
          <q-input
            v-model="note"
            type="textarea"
            label="Message"
            placeholder="Type your message here..."
          />
        </div>
        <div>
          <q-btn
            color="primary"
            label="ADD NOTE"
            class="q-ma-sm float-right"
            @click="addNote"
          />
        </div>
      </q-card>
      <div style="width: 350px; height: 200px" class="hide-scrollbar">
        <q-card v-for="(note, key) in notes" :key="key" class="q-ma-sm">
          <div class="q-pa-md">{{ note }}</div>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'Notes',
  data() {
    return {
      notes: [],
      note: ''
    }
  },
  methods: {
    addNote() {
      if (this.note === '') return false
      this.notes.push(this.note)
      this.note = ''
    }
  }
})
</script>
